
%global meadversion 1.0.0
%global namedversion 1.0.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%{?scl:%scl_package %{?scl_prefix}commons-logging-jboss-logmanager} 
%{!?scl:%global pkg_name %{name}}

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.0.0.Final-redhat-1

Name:           %{?scl_prefix}commons-logging-jboss-logmanager
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        An implementation of Apache Commons Logging that delegates to JBoss Log Manager
Group:          Development/Java

%if %with mead
Source100: commons-logging-jboss-logmanager-1.0.0.Final-redhat-1-scm-sources.zip
Source102: commons-logging-jboss-logmanager-1.0.0.Final-redhat-1-project-sources.tar.gz
Source103: commons-logging-jboss-logmanager-1.0.0.Final-redhat-1-javadoc.jar
Source104: commons-logging-jboss-logmanager-1.0.0.Final-redhat-1.jar
Source105: commons-logging-jboss-logmanager-1.0.0.Final-redhat-1.pom
Source106: commons-logging-jboss-logmanager-1.0.0.Final-redhat-1-sources.jar
%endif

License:        LGPLv2+
URL:            https://github.com/jboss-logging/commons-logging-jboss-logmanager

BuildArch:      noarch
BuildRoot:      %{_tmppath}/commons-logging-jboss-logmanager-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-logging-jboss-logmanager
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n commons-logging-jboss-logmanager -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-logging-jboss-logmanager-%{namedversion}.jar %{buildroot}%{_javadir}/commons-logging-jboss-logmanager-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-logging-jboss-logmanager-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-logging-jboss-logmanager-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-logging-jboss-logmanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-logging-jboss-logmanager-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-logging-jboss-logmanager-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-logging-jboss-logmanager-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-logging-jboss-logmanager-%{namedversion} -x META-INF/\*
%{__ln_s} commons-logging-jboss-logmanager-%{namedversion} %{buildroot}%{_javadocdir}/commons-logging-jboss-logmanager
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/commons-logging-jboss-logmanager-%{namedversion}.jar
%{_javadir}/commons-logging-jboss-logmanager.jar
%if %with javadoc
%exclude %{_javadir}/commons-logging-jboss-logmanager-%{namedversion}-javadoc.jar
%exclude %{_javadir}/commons-logging-jboss-logmanager-javadoc.jar
%endif
%{_javadir}/commons-logging-jboss-logmanager-%{namedversion}-sources.jar
%{_javadir}/commons-logging-jboss-logmanager-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-logging-jboss-logmanager-%{namedversion}
%{_javadocdir}/commons-logging-jboss-logmanager
%{_javadir}/commons-logging-jboss-logmanager-%{namedversion}-javadoc.jar
%{_javadir}/commons-logging-jboss-logmanager-javadoc.jar
%endif

%changelog
* Fri Sep 16 2016 Filip Kujikis <fkujikis@redhat.com> - 1.0.0-1.Final_redhat_1.1
- first prod build

* Fri Sep 16 2016 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
